# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricDefinition.MetricType

Packages that use TelemetryMetricDefinition.MetricType
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

## Uses of TelemetryMetricDefinition.MetricType in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

Fields in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util declared as TelemetryMetricDefinition.MetricType
Modifier and Type
Field
Description
`final TelemetryMetricDefinition.MetricType`
TelemetryMetricID.`type`
Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util that return TelemetryMetricDefinition.MetricType
Modifier and Type
Method
Description
`TelemetryMetricDefinition.MetricType`
TelemetryMetricDefinition.`getMetricType()`
The type of this metric
`static TelemetryMetricDefinition.MetricType`
TelemetryMetricDefinition.MetricType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TelemetryMetricDefinition.MetricType[]`
TelemetryMetricDefinition.MetricType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricDefinition.MetricType
Modifier
Constructor
Description
``
`TelemetryMetricID(String classMethodName, TelemetryMetricDefinition.MetricType type, io.opentelemetry.api.common.Attributes attributes)`